Bug 1592891 - [RFE] [V2V] Extend the virt-v2v-wrapper for OpenStack
Summary: [RFE] [V2V] Extend the virt-v2v-wrapper for OpenStack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: MVP
: 5.10.0
Assignee: Marek Aufart
QA Contact: Kedar Kulkarni
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1601090
TreeView+ depends on / blocked
 
Reported: 2018-06-19 14:30 UTC by Anandeep Pannu
Modified: 2019-02-07 23:03 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:24 UTC

Description Anandeep Pannu 2018-06-19 14:30:53 UTC
Description of problem:

The virt-v2v-wrapper is the Ansible wrapper for the the virt-v2v binary, and is the interface between CloudForms and the Virt-v2v functionality.  There is an existing solution for ovirt (RHV) which needs to be adapted for OpenStack v2v migration. 

The virt-v2v-wrapper communicates with a conversion VM on OpenStack, in contrast to RHV which uses a conversion host. This has to be taken into account when creating the OpenStack virt-v2v-wrapper. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 14 Kedar Kulkarni 2018-11-30 20:18:11 UTC
With CFME 5.10.0.27 and Conversion VM/Instance correctly configured on OpenStack, I was able to migrate VMs successfully from VMware to OSP. This produced wrapper logs that indicated wrapper was used and working as designed.

Comment 15 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.